const brandTranslationService = require('../services/brandTranslation.service');

const createBrandTranslation = async (req, res) => {
    const payload = req.body;
    const result = await brandTranslationService.createBrandTranslation(payload);
    return result;
};

const deleteBrandTranslation = async (req, res) => {
    const payload = req.body;
    const result = await brandTranslationService.deleteBrandTranslation(payload.id);
    return result;
};

const listBrandTranslation = async (req, res) => {
    const result = await brandTranslationService.listBrandTranslation();
    return result;
};

const getBrandTranslation = async (req, res) => {
    const payload = req.body;
    const result = await brandTranslationService.getBrandTranslation(payload.id);
    return result;
};

const updateBrandTranslation = async (req, res) => {
    const payload = req.body;
    const result = await brandTranslationService.updateBrandTranslation(payload);
    return result;
};

const brandTranslationController = {
    createBrandTranslation,
    deleteBrandTranslation,
    listBrandTranslation,
    getBrandTranslation,
    updateBrandTranslation
};

module.exports = brandTranslationController;