const menuItemTranslationService = require('../services/menuItemTranslation.service');

const createMenuItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemTranslationService.createMenuItemTranslation(payload);
    return result;
};

const deleteMenuItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemTranslationService.deleteMenuItemTranslation(payload.id);
    return result;
};

const listMenuItemTranslation = async (req, res) => {
    const result = await menuItemTranslationService.listMenuItemTranslation();
    return result;
};

const getMenuItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemTranslationService.getMenuItemTranslation(payload.id);
    return result;
};

const updateMenuItemTranslation = async (req, res) => {
    const payload = req.body;
    const result = await menuItemTranslationService.updateMenuItemTranslation(payload);
    return result;
};

const menuItemTranslationController = {
    createMenuItemTranslation,
    deleteMenuItemTranslation,
    listMenuItemTranslation,
    getMenuItemTranslation,
    updateMenuItemTranslation
};

module.exports = menuItemTranslationController;
