const menuVariantService = require('../services/menuVariant.service');

const createMenuVariant = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantService.createMenuVariant(payload);
    return result;
};

const deleteMenuVariant = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantService.deleteMenuVariant(payload.id);
    return result;
};

const listMenuVariant = async (req, res) => {
    const result = await menuVariantService.listMenuVariant();
    return result;
};

const getMenuVariant = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantService.getMenuVariant(payload.id);
    return result;
};

const updateMenuVariant = async (req, res) => {
    const payload = req.body;
    const result = await menuVariantService.updateMenuVariant(payload, payload.id);
    return result;
};

const menuVariantController = {
    createMenuVariant,
    deleteMenuVariant,
    listMenuVariant,
    getMenuVariant,
    updateMenuVariant
};

module.exports = menuVariantController;