const Constants = {
   validationMessages: {
      validEmailMsg: 'Must be a valid email address',
      validCoordsMsg: 'Either both latitude and longitude, or neither!',
   },
   userMessages: {
      CreationSuccess: 'user created successfully',
      CreationFailed: 'unable to create user',
      LoginSuccess: 'successfully logged in',
      LoginFailed: 'unable to login',
      NoUserFound: 'no user found with provided email',
      CodeSent: 'A confirmation code has been sent to your email',
      PasswordResetSuccess: 'successfully updated the password for user',
      PasswordResetFailed: 'failed to reset the password, please try again',
      RefreshTokenSuccess: 'successfully refreshed the token',
      RefreshTokenFailed: 'unable to create refresh token',
      ResetKeyMatched: 'Password reset key has been matched',
      ResetKeyUnmatched: 'Password reset key is incorrect',
      DeleteSuccess: 'successfully delete user from DB',
      DeleteFailed: 'error deleting the user',
      addTranslation: 'user translation added successfully',
      updateTranslation: 'user translation updated successfully',
      translationFailed: 'unable to create user translation',
      navRetrieved: 'navigation retrived successfully',
      navRetrievedFailed: 'navigation retrived failed'
   },
   authMessages: {
      NotAuthroized: 'You are not authroized to perform this action',
      AuthFailed: 'unable to authenticate user',
   },
   brandMessages: {
      creationFailed: 'brand unable to create',
      deleteFailed: 'error while deleting brand',
      getFailed: 'failed to fetch brand',
      listFailed: 'failed to fetch brands',
      updateFailed: 'failed to update brand',
      notFound: 'no brand found'
   },
   brandTranslationMessages: {
      creationFailed: 'brand translation unable to create',
      deleteFailed: 'error while deleting brand translation',
      getFailed: 'failed to fetch brand translation',
      listFailed: 'failed to fetch brand translations',
      updateFailed: 'failed to update brand translation',
      notFound: 'no brand translation found'
   },
   menuCategotyMessages: {
      creationFailed: 'menu category unable to create',
      deleteFailed: 'error while deleting menu category',
      getFailed: 'failed to fetch menu category',
      listFailed: 'failed to fetch menu category',
      updateFailed: 'failed to update menu category',
      notFound: 'no menu category found'
   },
   menuCategotyTranslationMessages: {
      creationFailed: 'menu category translation unable to create',
      deleteFailed: 'error while deleting menu category translation',
      getFailed: 'failed to fetch menu category translation',
      listFailed: 'failed to fetch menu category translation',
      updateFailed: 'failed to update menu category translation',
      notFound: 'no menu category translation found'
   },
   menuItemMessages: {
      creationFailed: 'menu item unable to create',
      deleteFailed: 'error while deleting menu item',
      getFailed: 'failed to fetch menu item',
      listFailed: 'failed to fetch menu item',
      updateFailed: 'failed to update menu item',
      notFound: 'no menu item found'
   },
   menuItemTranslationMessages: {
      creationFailed: 'menu item translation unable to create',
      deleteFailed: 'error while deleting menu item translation',
      getFailed: 'failed to fetch menu item translation',
      listFailed: 'failed to fetch menu item translation',
      updateFailed: 'failed to update menu item translation',
      notFound: 'no menu item translation found'
   },
   menuItemVariantMessages: {
      creationFailed: 'menu item variant unable to create',
      deleteFailed: 'error while deleting menu item variant',
      getFailed: 'failed to fetch menu item variant',
      listFailed: 'failed to fetch menu item variant',
      updateFailed: 'failed to update menu item variant',
      notFound: 'no menu item variant found'
   },
   menuVariantMessages: {
      creationFailed: 'menu variant unable to create',
      deleteFailed: 'error while deleting menu variant',
      getFailed: 'failed to fetch menu variant',
      listFailed: 'failed to fetch menu variant',
      updateFailed: 'failed to update menu variant',
      notFound: 'no menu variant found'
   },
   menuItemVariantTranslationMessages: {
      creationFailed: 'menu item variant translation unable to create',
      deleteFailed: 'error while deleting menu item variant translation',
      getFailed: 'failed to fetch menu item variant translation',
      listFailed: 'failed to fetch menu item variant translation',
      updateFailed: 'failed to update menu item variant translation',
      notFound: 'no menu item variant translation found'
   },
   addonMessages: {
      alreadyExists: 'Addon alread exist with this id',
      creationFailed: 'addon unable to create',
      noIdFound: 'addon id does not exist',
      getFailed: 'failed to fetch addon',
      listFailed: 'failed to fetch addon',
      updateFailed: 'failed to update addon',
      notFound: 'no addon found'
   },
   menuItemAddonMessages: {
      creationFailed: 'menu item addon unable to create',
      deleteFailed: 'error while deleting menu item addon',
      getFailed: 'failed to fetch menu item addon',
      listFailed: 'failed to fetch menu item addon',
      updateFailed: 'failed to update menu item addon',
      notFound: 'no menu item addon found'
   },
   menuVariantAddonMessages: {
      creationFailed: 'menu variant addon unable to create',
      deleteFailed: 'error while deleting menu variant addon',
      getFailed: 'failed to fetch menu variant addon',
      listFailed: 'failed to fetch menu variant addon',
      updateFailed: 'failed to update menu variant addon',
      notFound: 'no menu variant addon found'
   },
   addonTranslationMessages: {
      creationFailed: 'addon translation unable to create',
      deleteFailed: 'error while deleting addon translation',
      getFailed: 'failed to fetch addon translation',
      listFailed: 'failed to fetch addon translation',
      updateFailed: 'failed to update addon translation',
      notFound: 'no addon translation found'
   },
   addonItemMessages: {
      creationFailed: 'addon item unable to create',
      deleteFailed: 'error while deleting addon item',
      getFailed: 'failed to fetch addon item',
      listFailed: 'failed to fetch addon item',
      updateFailed: 'failed to update addon item',
      notFound: 'no addon item found'
   },
   addonItemTranslationMessages: {
      creationFailed: 'addon item translation unable to create',
      deleteFailed: 'error while deleting addon item translation',
      getFailed: 'failed to fetch addon item translation',
      listFailed: 'failed to fetch addon item translation',
      updateFailed: 'failed to update addon item translation',
      notFound: 'no addon item translation found'
   },
   addonAddonItemMessages: {
      creationFailed: 'addon addon item unable to create',
      deleteFailed: 'error while deleting addon addon item',
      getFailed: 'failed to fetch addon addon item',
      listFailed: 'failed to fetch addon addon item',
      updateFailed: 'failed to update addon addon item',
      notFound: 'no addon addon item found'
   },

};

module.exports = Constants;
