const mySql = require('mysql2/promise');
const Config = require('../../config/config');

const env = process.env.NODE_ENV || 'development';
const config = Config[env];

mySql
    .createConnection({
        host: config.host,
        port: config.port,
        user: config.username,
        password: config.password,
    })
    .then((connection) => {
        connection
            .query(
                `CREATE DATABASE IF NOT EXISTS ${
                    config.database || 'jupiter_dev_db'
                };`
            )
            .then((res) => {
                console.info('Database create or successfully checked');
                process.exit(0);
            });
    });
