'use strict';

const TABLE_NAME = "addons"
module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.createTable(TABLE_NAME, {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      is_optional: {
        type: Sequelize.BOOLEAN
      },
      multiple_enable: {
        type: Sequelize.BOOLEAN
      },
      maximum_count: {
        type: Sequelize.INTEGER
      },
      minimum_count: {
        type: Sequelize.INTEGER
      },
      is_delete: {
        type: Sequelize.BOOLEAN
      },
      deleted_by: {
        allowNull: true,
        type: Sequelize.INTEGER
      },
      deleted_at: {
        allowNull: true,
        type: Sequelize.DATE
      },
      created_at: {
        allowNull: false,
        type: Sequelize.DATE
      },
      updated_at: {
        allowNull: false,
        type: Sequelize.DATE
      }
    });
  },
  down: async (queryInterface, Sequelize) => {
    await queryInterface.dropTable(TABLE_NAME);
  }
};