module.exports = (sequelize, Types) => {
  const addon = sequelize.define(
    'addon',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      is_optional: {
        allowNull: false,
        type: Types.BOOLEAN,
        default: true
      },
      multiple_enable: {
        allowNull: false,
        default: false,
        type: Types.BOOLEAN,
      },
      maximum_count: {
        allowNull: false,
        type: Types.INTEGER,
      },
      minimum_count: {
        allowNull: false,
        type: Types.INTEGER
      },
      is_delete: {
        default: false,
        type: Types.BOOLEAN
      },
      deleted_by: {
        allowNull: true,
        type: Types.INTEGER
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );
  addon.associate = function (models) {
    addon.hasMany(models.addon_translation);
    addon.belongsToMany(models.addon_item, { through: 'addon_addon_items', foreignKey: 'addon_id' });
    addon.belongsToMany(models.menu_item, { through: 'menu_item_addons', foreignKey: 'addon_id' });
    addon.belongsToMany(models.menu_item_variant, { through: 'menu_variant_addons', foreignKey: 'addon_id' });
  };

  return addon;
};