module.exports = (sequelize, Types) => {
  const addon_item = sequelize.define(
    'addon_item',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      price: {
        allowNull: false,
        type: Types.STRING,
      },
      is_preselect: {
        allowNull: false,
        default: false,
        type: Types.BOOLEAN,
      },
      is_delete: {
        default: false,
        type: Types.BOOLEAN
      },
      deleted_by: {
        allowNull: true,
        type: Types.INTEGER
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  addon_item.associate = function (models) {
    addon_item.belongsToMany(models.addon, { through: 'addon_addon_items', foreignKey: 'addon_item_id' });
    addon_item.hasMany(models.addon_item_translation);
  };

  return addon_item;
};