module.exports = (sequelize, Types) => {
  const addon_item_translation = sequelize.define(
    'addon_item_translation',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      name: {
        allowNull: false,
        type: Types.STRING,
      },
      description: {
        allowNull: false,
        type: Types.STRING,
      },
      locale: {
        allowNull: false,
        type: Types.STRING,
      },
      addon_item_id: {
        allowNull: false,
        type: Types.INTEGER,
      },
    },
    {
      underscored: true,
    }
  );

  addon_item_translation.associate = ({ addon_item }) => {
    addon_item_translation.belongsTo(addon_item, { foreignKey: 'addon_item_id' });
  };
  return addon_item_translation;
};