module.exports = (sequelize, Types) => {
  const brand = sequelize.define(
    'brand',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      category: {
        allowNull: false,
        type: Types.STRING,
      },
      url: {
        allowNull: false,
        type: Types.STRING,
      },
      image: {
        allowNull: false,
        type: Types.STRING,
      },
      user_id: {
        allowNull: false,
        type: Types.INTEGER,
      },
      is_delete: {
        default: false,
        type: Types.BOOLEAN
      },
      deleted_by: {
        allowNull: true,
        type: Types.INTEGER
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  brand.associate = ({ user_detail, brand_translation, menu_category }) => {
    //brand.belongsTo(user_detail, { foreignKey: 'user_id' });
    brand.hasMany(brand_translation);
    brand.hasMany(menu_category);
  };
  return brand;
};