module.exports = (sequelize, Types) => {
  const brand_translation = sequelize.define(
    'brand_translation',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      name: {
        allowNull: false,
        type: Types.STRING,
      },
      description: {
        allowNull: false,
        type: Types.STRING,
      },
      locale: {
        allowNull: false,
        type: Types.STRING,
      },
      brand_id: {
        allowNull: false,
        type: Types.INTEGER,
      },
    },
    {
      underscored: true,
    }
  );

  brand_translation.associate = ({ brand }) => {
    brand_translation.belongsTo(brand, { foreignKey: 'brand_id' });
  };
  return brand_translation;
};