module.exports = (sequelize, Types) => {
  const menu_category = sequelize.define(
    'menu_category',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      image: {
        allowNull: true,
        type: Types.STRING,
      },
      is_delete: {
        default: false,
        type: Types.BOOLEAN
      },
      deleted_by: {
        allowNull: true,
        type: Types.INTEGER
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  menu_category.associate = function (models) {
    menu_category.belongsTo(models.brand, { foreignKey: 'brand_id' });
    menu_category.hasMany(models.menu_category_translation);
    menu_category.hasMany(models.menu_item);
  };
  return menu_category;
};