module.exports = (sequelize, Types) => {
  const menu_category_translation = sequelize.define(
    'menu_category_translation',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      title: {
        allowNull: false,
        type: Types.STRING,
      },
      description: {
        allowNull: false,
        type: Types.STRING,
      },
      locale: {
        allowNull: false,
        type: Types.STRING,
      },
      menu_category_id: {
        allowNull: false,
        type: Types.INTEGER,
      },
    },
    {
      underscored: true,
    }
  );

  menu_category_translation.associate = ({ menu_category }) => {
    menu_category_translation.belongsTo(menu_category, { foreignKey: 'menu_category_id' });
  };
  return menu_category_translation;
};