module.exports = (sequelize, Types) => {
  const menu_item = sequelize.define(
    'menu_item',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      image: {
        allowNull: false,
        type: Types.STRING,
      },
      price: {
        allowNull: false,
        type: Types.INTEGER,
      },
      is_delete: {
        default: false,
        type: Types.BOOLEAN
      },
      deleted_by: {
        allowNull: true,
        type: Types.INTEGER
      }
    },
    {
      underscored: true,
      paranoid: true
    }
  );

  menu_item.associate = function (models) {
    menu_item.hasMany(models.menu_item_translation);
    menu_item.belongsTo(models.menu_category, { foreignKey: 'menu_category_id' });
    menu_item.belongsToMany(models.addon, { through: 'menu_item_addons', foreignKey: 'menu_item_id' });
    menu_item.belongsToMany(models.menu_item_variant, { through: 'menu_variants', foreignKey: 'menu_item_id' });
  };
  return menu_item;
};