module.exports = (sequelize, Types) => {
  const menu_item_translation = sequelize.define(
    'menu_item_translation',
    {
      id: {
        primaryKey: true,
        allowNull: false,
        autoIncrement: true,
        type: Types.INTEGER,
      },
      name: {
        allowNull: false,
        type: Types.STRING,
      },
      description: {
        allowNull: false,
        type: Types.STRING,
      },
      locale: {
        allowNull: false,
        type: Types.STRING,
      },
      menu_item_id: {
        allowNull: false,
        type: Types.INTEGER,
      },
    },
    {
      underscored: true,
    }
  );

  menu_item_translation.associate = ({ menu_item }) => {
    menu_item_translation.belongsTo(menu_item, { foreignKey: 'menu_item_id' });
  };
  return menu_item_translation;
};