const { Sequelize } = require("sequelize");

module.exports = (sequelize, Types) => {
   const menu_item_variant = sequelize.define(
      'menu_item_variant',
      {
         id: {
            primaryKey: true,
            allowNull: false,
            autoIncrement: true,
            type: Types.INTEGER,
         },
         price: {
            allowNull: false,
            type: Types.INTEGER,
         },
         is_delete: {
            default: false,
            type: Types.BOOLEAN
         },
         deleted_by: {
            allowNull: true,
            type: Types.INTEGER
         }

      },
      {
         underscored: true,
         paranoid: true
      }
   );

   menu_item_variant.associate = function (models) {
      menu_item_variant.hasMany(models.menu_item_variant_translation);
      menu_item_variant.belongsToMany(models.menu_item, { through: 'menu_variant', foreignKey: 'menu_item_variant_id' });
      menu_item_variant.belongsToMany(models.addon, { through: 'menu_variant_addons', foreignKey: 'menu_item_variant_id' });
   };
   return menu_item_variant;
};