const { addonAddonItemMessages } = require('../custom/constants');
const { addon_addon_item } = require('../models');

const createAddonAddonItem = async (payload) => {
  try {
    const createdAddonAddonItem = await addon_addon_item.create(payload);
    return createdAddonAddonItem;
  } catch (error) {
    throw new Error(addonAddonItemMessages.creationFailed);
  }
};

const deleteAddonAddonItem = async (addonAddonItemId) => {
  try {
    const addonAddonItemToDelete = await addon_addon_item.findOne({ where: { id: addonAddonItemId } });
    if (addonAddonItemToDelete) {
      await addonAddonItemToDelete.destroy();
      return true;
    } else {
      throw new Error(addonAddonItemMessages.deleteFailed);
    }
  } catch (error) {
    throw new Error(error.message);
  }
};

const listAddonAddonItem = async () => {
  try {
    const addonAddonItems = await addon_addon_item.findAll();
    if (addonAddonItems) return addonAddonItems;
    throw new Error(addonAddonItemMessages.notFound);
  } catch (error) {
      throw new Error(error.message);
  }
}

const getAddonAddonItem = async (addonAddonItemId) => {
  try {
    const addonAddonItem = await addon_addon_item.findOne({ where: { id: addonAddonItemId } });
    if (addonAddonItem) return addonAddonItem;
    throw new Error(addonAddonItemMessages.notFound);
  } catch (error) {
      throw new Error(error.message);
  }
}

const updateAddonAddonItem = async (payload, addonAddonItemId) => {
  try{
    const updatedAddonAddonItem = await addon_addon_item.update(payload, { where: {id: addonAddonItemId}});
    if(updatedAddonAddonItem) return true;
    throw new Error(addonAddonItemMessages.updateFailed)
  } catch (error){
    throw new Error(error.message);
  }
}

const addonAddonItemServices = {
  createAddonAddonItem,
  deleteAddonAddonItem,
  listAddonAddonItem,
  getAddonAddonItem,
  updateAddonAddonItem
};

module.exports = addonAddonItemServices;
