const { menuCategotyTranslationMessages } = require('../custom/constants');
const { menu_category_translation } = require('../models');

const createMenuCategoryTranslation = async (payload) => {
    try {
        const createdMenuCategoryTrans = await menu_category_translation.create(payload);
        return createdMenuCategoryTrans;
    } catch (error) {
        throw new Error(menuCategotyTranslationMessages.creationFailed);
    }
};

const deleteMenuCategoryTranslation = async (menuCategoryTransId) => {
    try {
        const menuCategoryTransToDelete = await menu_category_translation.findOne({ where: { id: menuCategoryTransId } });
        if (menuCategoryTransToDelete) {
            await menuCategoryTransToDelete.destroy();
            return true;
        } else {
            throw new Error(menuCategotyTranslationMessages.deleteFailed);
        }
    } catch (error) {
        throw new Error(error.message);
    }
};

const listMenuCategoryTranslation = async () => {
    try {
        const menuCategoryTransList = await menu_category_translation.findAll();
        if (menuCategoryTransList) return menuCategoryTransList;
        throw new Error(menuCategotyTranslationMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const getMenuCategoryTranslation = async (menuCategoryTransId) => {
    try {
        const menuCategoryTrans = await menu_category_translation.findOne({ where: { id: menuCategoryTransId } });
        if (menuCategoryTrans) return menuCategoryTrans;
        throw new Error(menuCategotyTranslationMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const updateMenuCategoryTranslation = async (payload) => {
    try {
        const updatedMenuCategoryTrans = await menu_category_translation.update(payload, { where: { menu_category_id: payload.id, locale: payload.locale } });
        if (updatedMenuCategoryTrans) return true;
        throw new Error(menuCategotyTranslationMessages.updateFailed)
    } catch (error) {
        throw new Error(error.message);
    }
}

const menuCategoryTranslationServices = {
    createMenuCategoryTranslation,
    deleteMenuCategoryTranslation,
    listMenuCategoryTranslation,
    getMenuCategoryTranslation,
    updateMenuCategoryTranslation
};

module.exports = menuCategoryTranslationServices;
