const { menuItemAddonMessages } = require('../custom/constants');
const { menu_item_addon } = require('../models');

const createMenuItemAddon = async (payload) => {
    try {
        const createdMenuItemAddon = await menu_item_addon.create(payload);
        return createdMenuItemAddon;
    } catch (error) {
        throw new Error(menuItemAddonMessages.creationFailed);
    }
};

const deleteMenuItemAddon = async (menuItemAddonId) => {
    try {
        const menuItemAddonToDelete = await menu_item_addon.findOne({ where: { id: menuItemAddonId } });
        if (menuItemAddonToDelete) {
            await menuItemAddonToDelete.destroy();
            return true;
        } else {
            throw new Error(menuItemAddonMessages.deleteFailed);
        }
    } catch (error) {
        throw new Error(error.message);
    }
};

const listMenuItemAddon = async () => {
    try {
        const menuItemAddonList = await menu_item_addon.findAll();
        if (menuItemAddonList) return menuItemAddonList;
        throw new Error(menuItemAddonMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const getMenuItemAddon = async (menuItemAddonId) => {
    try {
        const menuItemAddon = await menu_item_addon.findOne({ where: { id: menuItemAddonId } });
        if (menuItemAddon) return menuItemAddon;
        throw new Error(menuItemAddonMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const updateMenuItemAddon = async (payload, menuItemAddonId) => {
    try {
        const updatedMenuItemAddon = await menu_item_addon.update(payload, { where: { id: menuItemAddonId } });
        if (updatedMenuItemAddon) return true;
        throw new Error(menuItemAddonMessages.updateFailed)
    } catch (error) {
        throw new Error(error.message);
    }
}

const menuItemAddonServices = {
    createMenuItemAddon,
    deleteMenuItemAddon,
    listMenuItemAddon,
    getMenuItemAddon,
    updateMenuItemAddon
};

module.exports = menuItemAddonServices;
