const { menuItemVariantTranslationMessages } = require('../custom/constants');
const { menu_item_variant_translation } = require('../models');

const createMenuItemVariantTranslation = async (payload) => {
    try {
        const createdMenuItemVariantTranslation = await menu_item_variant_translation.create(payload);
        return createdMenuItemVariantTranslation;
    } catch (error) {
        throw new Error(menuItemVariantTranslationMessages.creationFailed);
    }
};

const deleteMenuItemVariantTranslation = async (menuItemVariantTransId) => {
    try {
        const menuItemVariantTransToDelete = await menu_item_variant_translation.findOne({ where: { id: menuItemVariantTransId } });
        if (menuItemVariantTransToDelete) {
            await menuItemVariantTransToDelete.destroy();
            return true;
        } else {
            throw new Error(menuItemVariantTranslationMessages.deleteFailed);
        }
    } catch (error) {
        throw new Error(error.message);
    }
};

const listMenuItemVariantTranslation = async () => {
    try {
        const menuItemVariantTransList = await menu_item_variant_translation.findAll();
        if (menuItemVariantTransList) return menuItemVariantTransList;
        throw new Error(menuItemVariantTranslationMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const getMenuItemVariantTranslation = async (menuItemVariantTransId) => {
    try {
        const menuItemVariantTrans = await menu_item_variant_translation.findOne({ where: { id: menuItemVariantTransId } });
        if (menuItemVariantTrans) return menuItemVariantTrans;
        throw new Error(menuItemVariantTranslationMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const updateMenuItemVariantTranslation = async (payload) => {
    try {
        const updatedMenuItemVariantTrans = await menu_item_variant_translation.update(payload, { where: { menu_item_variant_id: payload.id, locale: payload.locale } });
        if (updatedMenuItemVariantTrans) return true;
        throw new Error(menuItemVariantTranslationMessages.updateFailed)
    } catch (error) {
        throw new Error(error.message);
    }
}

const menuItemVariantTranslationServices = {
    createMenuItemVariantTranslation,
    deleteMenuItemVariantTranslation,
    listMenuItemVariantTranslation,
    getMenuItemVariantTranslation,
    updateMenuItemVariantTranslation
};

module.exports = menuItemVariantTranslationServices;
