const { menuVariantAddonMessages } = require('../custom/constants');
const { menu_variant_addon } = require('../models');

const createMenuVariantAddon = async (payload) => {
    try {
        const createdMenuVariantAddon = await menu_variant_addon.create(payload);
        return createdMenuVariantAddon;
    } catch (error) {
        throw new Error(menuVariantAddonMessages.creationFailed);
    }
};

const deleteMenuVariantAddon = async (menuVariantAddonId) => {
    try {
        const menuVariantAddonToDelete = await menu_variant_addon.findOne({ where: { id: menuVariantAddonId } });
        if (menuVariantAddonToDelete) {
            await menuVariantAddonToDelete.destroy();
            return true;
        } else {
            throw new Error(menuVariantAddonMessages.deleteFailed);
        }
    } catch (error) {
        throw new Error(error.message);
    }
};

const listMenuVariantAddon = async () => {
    try {
        const menuVariantAddonList = await menu_variant_addon.findAll();
        if (menuVariantAddonList) return menuVariantAddonList;
        throw new Error(menuVariantAddonMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const getMenuVariantAddon = async (menuVariantAddonId) => {
    try {
        const menuVariantAddon = await menu_variant_addon.findOne({ where: { id: menuVariantAddonId } });
        if (menuVariantAddon) return menuVariantAddon;
        throw new Error(menuVariantAddonMessages.notFound);
    } catch (error) {
        throw new Error(error.message);
    }
}

const updateMenuVariantAddon = async (payload, menuVariantAddonId) => {
    try {
        const updatedMenuVariantAddon = await menu_variant_addon.update(payload, { where: { id: menuVariantAddonId } });
        if (updatedMenuVariantAddon) return true;
        throw new Error(menuVariantAddonMessages.updateFailed)
    } catch (error) {
        throw new Error(error.message);
    }
}

const menuVariantAddonServices = {
    createMenuVariantAddon,
    deleteMenuVariantAddon,
    listMenuVariantAddon,
    getMenuVariantAddon,
    updateMenuVariantAddon
};

module.exports = menuVariantAddonServices;
