const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const Addon = require('../../models/addon');

describe('Testing addon model', async function () {
    const Model = Addon(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name addon', function (done) {
            expect(Model.modelName).to.equal('addon');
            done();
        });
    });

    context('verifying model properties of Addon', function () {
        ['id', 'is_optional', 'multiple_enable', 'maximum_count', 'minimum_count'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });
});