const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const addon_item = require('../../models/addon_item');

describe('Testing addon_addon_item model', async function () {
    const Model = addon_item(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name addon_item', function (done) {
            expect(Model.modelName).to.equal('addon_item');
            done();
        });
    });

    context('verifying model properties of addon_addon_item', function () {
        ['id', 'price', 'is_preselect'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });
});