const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const addon_item_translation = require('../../models/addon_item_translation');

describe('Testing addon_item_translation model', async function () {
    const Model = addon_item_translation(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name addon_item_translation', function (done) {
            expect(Model.modelName).to.equal('addon_item_translation');
            done();
        });
    });

    context('verifying model properties of addon_item_translation', function () {
        ['id', 'name', 'description', 'addon_item_id'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });

    context('associations of Addon_Translation', () => {
        const AssociationModel = 'addon';
  
        before(() => {
           Model.associate(AssociationModel);
        });
  
        // it('has a hasMany association with Addon table', () => {
        //    expect(Model.belongsTo).to.have.been.calledWith(AssociationModel);
        // });
     });
});