const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const brand_translation = require('../../models/brand_translation');

describe('Testing brand model', async function () {
    const Model = brand_translation(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name brand_translation', function (done) {
            expect(Model.modelName).to.equal('brand_translation');
            done();
        });
    });

    context('verifying model properties of brand_translation', function () {
        ['id', 'name', 'description', 'locale', 'brand_id'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });
});