const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const menu_item = require('../../models/menu_item');

describe('Testing brand model', async function () {
    const Model = menu_item(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name menu_item', function (done) {
            expect(Model.modelName).to.equal('menu_item');
            done();
        });
    });

    context('verifying model properties of menu_item', function () {
        ['id', 'image', 'price', 'menu_category_id'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });
});