const { sequelize, dataTypes } = require('sequelize-test-helpers');
const chai = require('chai');
const sinonChai = require('sinon-chai');

const expect = chai.expect;
chai.should();
chai.use(sinonChai);

const menu_item_translation = require('../../models/menu_item_translation');

describe('Testing brand model', async function () {
    const Model = menu_item_translation(sequelize, dataTypes);
    const ModelInstance = await new Model()

    context('Varifying model name', function () {
        it('A table is created with the name menu_item_translation', function (done) {
            expect(Model.modelName).to.equal('menu_item_translation');
            done();
        });
    });

    context('verifying model properties of menu_item_translation', function () {
        ['id', 'name', 'description', 'locale', 'menu_item_id'].forEach((propertyName) => {
            it(`has field ${propertyName}`, function (done) {
                expect(ModelInstance).to.have.property(propertyName);
                done();
            });
        });
    });
});